package no.ntnu.master;

import com.badlogic.gdx.Game;
import com.badlogic.gdx.Gdx;
import com.badlogic.gdx.graphics.g2d.SpriteBatch;

import no.ntnu.master.menus.MainMenu;
import no.ntnu.master.utils.AssetLoader;
import no.ntnu.master.utils.Settings;

public class DyslexiaDetection extends Game {

    //publicly available spritebatcher for all render classes to use
    public SpriteBatch batch;

    public boolean backPushed = false;

    @Override
    public void create() {
        batch = new SpriteBatch();
        AssetLoader.load();
        Settings.load();
        if (Settings.getFullScreenFlag()) {
            setUpScreen();
        }
        setScreen(new MainMenu(this));
        Gdx.input.setCatchBackKey(true);
    }

    private void setUpScreen() {
        Gdx.graphics.setDisplayMode(
                Gdx.graphics.getDesktopDisplayMode().width,
                Gdx.graphics.getDesktopDisplayMode().height,
                true
        );
    }

    @Override
    public void dispose() {
        super.dispose();
        AssetLoader.dispose();
        batch.dispose();
        screen.dispose();
    }
}
