package no.ntnu.master.objects;

import com.badlogic.gdx.math.Vector2;

import no.ntnu.master.utils.Psychophysics;
import no.ntnu.master.utils.Settings;

public class LineSegment {

    private Vector2 position;
    private float length;
    private float height;
    private float angle;
    private float initAngle;
    private float angleOffset;

    public LineSegment(float x, float y, float angle, float angleOffset) {
        this.position = new Vector2(x, y);
        this.angle = angle;
        this.initAngle = angle;
        length = Psychophysics.visualAngleInPixels(
                Settings.getFormLineLength(),
                Settings.getScreenViewingDistance(),
                Settings.getScreenWidthPixels(),
                Settings.getScreenWidth()
        );
        height = Settings.getFormLineHeight();

        setAngleOffset(this.angleOffset = angleOffset);
    }

    public Vector2 getPosition() { return position; }
    public void setPosition(Vector2 position) {
        this.position = position;
    }
    public void setPosition(float x, float y) {
        this.position.x = x;
        this.position.y = y;
    }
    public float getX() { return position.x; }
    public void setX(float x) { this.position.x = x; }

    public float getY() { return position.y; }
    public void setY(float y) { this.position.y = y; }

    public float getLength() { return length; }
    public void setLength(float length) { this.length = length; }

    public float getHeight() { return height; }
    public void setHeight(float height) { this.height = height; }

    public float getAngle() { return angle; }
    public void setAngle(float angle) { this.angle = angle; }

    public float getAngleOffset() { return angleOffset; }
    public void setAngleOffset(float offset) {
        this.angleOffset = offset;
        this.angle = initAngle+offset; }
}