package no.ntnu.master.screens;

import com.badlogic.gdx.Gdx;
import com.badlogic.gdx.Input;
import com.badlogic.gdx.ScreenAdapter;

import no.ntnu.master.DyslexiaDetection;
import no.ntnu.master.form.FormRenderer;
import no.ntnu.master.form.FormWorld;
import no.ntnu.master.menus.MainMenu;
import no.ntnu.master.utils.AssetLoader;
import no.ntnu.master.utils.InputHandler;

/**
 * Created by B on 22.12.2015.
 * Screen for the form portion of the application
 */
public class FormScreen extends ScreenAdapter {
    private FormRenderer renderer;
    private FormWorld world;

    private DyslexiaDetection game;

    private float runTime;

    public FormScreen(DyslexiaDetection game, boolean isFixed) {
        this.game = game;
        game.batch.setColor(1f, 1f, 1f, 1f);
        AssetLoader.font.setColor(1f, 1f, 1f, 1f);
        this.runTime = 0f;
        this.world = new FormWorld(isFixed);
        this.renderer = new FormRenderer(world, game.batch);

        Gdx.input.setInputProcessor(new InputHandler(game, world));
    }

    @Override
    public void render(float delta) {
        if (Gdx.input.isKeyPressed(Input.Keys.BACK)) {
            game.backPushed = true;
            game.setScreen(new MainMenu(game));
        }
        runTime += delta;
//        long startWorld = System.nanoTime();
        world.update(delta);
//        long stopWorld = System.nanoTime();
//        long startRender = System.nanoTime();
        renderer.render(delta);
//        long stopRenderer = System.nanoTime();
//        System.out.println("world: " + (stopWorld - startWorld)/100000);
//        System.out.println("world: " + (stopRenderer - startRender)/100000);
    }

    @Override
    public void resize(int width, int height) {
        super.resize(width,height);
        renderer.resize(width, height);
    }
}
