package no.ntnu.master.screens;

import com.badlogic.gdx.Gdx;
import com.badlogic.gdx.Input;
import com.badlogic.gdx.ScreenAdapter;

import no.ntnu.master.DyslexiaDetection;
import no.ntnu.master.menus.MainMenu;
import no.ntnu.master.motion.MotionRenderer;
import no.ntnu.master.motion.MotionWorld;
import no.ntnu.master.utils.AssetLoader;
import no.ntnu.master.utils.InputHandler;

/**
 * Created by B on 16.12.2015.
 * Screen for the motion portion of the application
 */
public class MotionScreen extends ScreenAdapter {

    private MotionRenderer renderer;
    private MotionWorld world;

    private DyslexiaDetection game;

    private float runTime;

    public MotionScreen(DyslexiaDetection game) {
        this.game = game;
        game.batch.setColor(1f, 1f, 1f, 1f);
        AssetLoader.font.setColor(1f, 1f, 1f, 1f);
        this.runTime = 0f;
        this.world = new MotionWorld();
        this.renderer = new MotionRenderer(world, game.batch);

        Gdx.input.setInputProcessor(new InputHandler(game, world));
    }

    @Override
    public void render(float delta) {
        if (Gdx.input.isKeyPressed(Input.Keys.BACK)) {
            game.backPushed = true;
            game.setScreen(new MainMenu(game));
        }
        runTime += delta;
//        long startWorld = System.nanoTime();
        world.update(delta);
//        long stopWorld = System.nanoTime();
//        long statRender = System.nanoTime();
        renderer.render(delta);
//        long stopRenderer = System.nanoTime();
//        System.out.println("world: " + (stopWorld - startWorld)/10000);
//        System.out.println("render: " + (stopRenderer - statRender)/100000);
    }

    @Override
    public void resize(int width, int height) {
        super.resize(width, height);
        renderer.resize(width, height);
    }
}
